Loading...
Searching...
No Matches
casacore::LatticeTwoPtCorr< T > Class Template Reference
lattices package (libcasa_lattices) » LatticeMath_module

More...

`#include <LatticeTwoPtCorr.h>`

## Public Types

enum | Method { UNDEFINED , STRUCTUREFUNCTION , NMETHODS }

## Public Member Functions

| LatticeTwoPtCorr ()
| Default constructor.
| ~LatticeTwoPtCorr ()
| Destructor.
void | autoCorrelation (MaskedLattice< T > &out, const MaskedLattice< T > &in, const IPosition &axes, Method method, Bool showProgress=True) const
| Compute specified autocorrelation function for the planes of the given TWO axes.

## Static Public Member Functions

static IPosition | setUpShape (const IPosition &inShape, const IPosition &axes)
| Helper function to provide output lattice shape give the input shape and the axes to find the structure function over.
static Method | fromString (const String &method)
| Helper functions to convert method types to and from strings.
static String | toString (Method method)

## Private Types

typedef T(LatticeTwoPtCorr< T >::* | FuncPtr) (T d1, T d2) const
| Function Pointer typedef.

## Private Member Functions

void | autoCorrelation (MaskedLattice< T > &out, const MaskedLattice< T > &in, const IPosition &axes, FuncPtr, Bool showProgress) const
| Do the iteration work.
void | check (LogIO &os, const MaskedLattice< T > &latOut, const MaskedLattice< T > &latIn, const IPosition &axes) const
| Check Output lattice shape.
T | structureFunction (T d1, T d2) const
| Compute structure function.

## Detailed Description

template<class T>
class casacore::LatticeTwoPtCorr< T >

Compute two point auto-correlation functions from a lattice

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- MaskedLattice

### Synopsis

This class allows you to compute two point correlation functions from lattices over planes of the specified two axes. At present, only autocorrelation is implemented and only the structure function is available.

The structure function is S(x,y) = < [lat(i,j) - lat(i+x,j+y)]**2 > where x and y are absolute integer shifts (or lags).

### Example

### To Do

- Add additional algorithms other than the structure function
- Allow cross correlation algorithms as well as autocorrelation

Definition at line 78 of file LatticeTwoPtCorr.h.

## Member Typedef Documentation

## FuncPtr

template<class T>

typedef T(LatticeTwoPtCorr< T >::* casacore::LatticeTwoPtCorr< T >::FuncPtr) (T d1, T d2) const

private

Function Pointer typedef.

Definition at line 125 of file LatticeTwoPtCorr.h.

## Member Enumeration Documentation

## Method

template<class T>

enum casacore::LatticeTwoPtCorr::Method

Enumerator
UNDEFINED | Undefined.
STRUCTUREFUNCTION | Structure Function.
NMETHODS | nMethods

Definition at line 82 of file LatticeTwoPtCorr.h.

## Constructor & Destructor Documentation

## LatticeTwoPtCorr()

template<class T>

casacore::LatticeTwoPtCorr< T >::LatticeTwoPtCorr | ( |  | ) |

inline

Default constructor.

Definition at line 96 of file LatticeTwoPtCorr.h.

## ~LatticeTwoPtCorr()

template<class T>

casacore::LatticeTwoPtCorr< T >::~LatticeTwoPtCorr | ( |  | ) |

inline

Destructor.

Definition at line 100 of file LatticeTwoPtCorr.h.

## Member Function Documentation

## autoCorrelation() [1/2]

template<class T>

void casacore::LatticeTwoPtCorr< T >::autoCorrelation | ( | MaskedLattice< T > & | out,
|  | const MaskedLattice< T > & | in,
|  | const IPosition & | axes,
|  | FuncPtr | ,
|  | Bool | showProgress ) const

private

Do the iteration work.

## autoCorrelation() [2/2]

template<class T>

void casacore::LatticeTwoPtCorr< T >::autoCorrelation | ( | MaskedLattice< T > & | out,
|  | const MaskedLattice< T > & | in,
|  | const IPosition & | axes,
|  | Method | method,
|  | Bool | showProgress = True ) const

Compute specified autocorrelation function for the planes of the given TWO axes.

If the output lattice has a mask, it will first be set to False (bad) and then any output pixel with some contributing values will be set to True (good).

References casacore::True.

## check()

template<class T>

void casacore::LatticeTwoPtCorr< T >::check | ( | LogIO & | os,
|  | const MaskedLattice< T > & | latOut,
|  | const MaskedLattice< T > & | latIn,
|  | const IPosition & | axes ) const

private

Check Output lattice shape.

## fromString()

template<class T>

Method casacore::LatticeTwoPtCorr< T >::fromString | ( | const String & | method | ) |

static

Helper functions to convert method types to and from strings.

## setUpShape()

template<class T>

IPosition casacore::LatticeTwoPtCorr< T >::setUpShape | ( | const IPosition & | inShape,
|  | const IPosition & | axes )

static

Helper function to provide output lattice shape give the input shape and the axes to find the structure function over.

## structureFunction()

template<class T>

T casacore::LatticeTwoPtCorr< T >::structureFunction | ( | T | d1,
|  | T | d2 ) const

inline private

Compute structure function.

Definition at line 139 of file LatticeTwoPtCorr.h.

## toString()

template<class T>

String casacore::LatticeTwoPtCorr< T >::toString | ( | Method | method | ) |

static

The documentation for this class was generated from the following file:

- lattices/LatticeMath/LatticeTwoPtCorr.h